var importador = mapperFactory.createMapper("Importador");
var i = 0;
if(message.get("obj")){
    var obj = message.get("obj");
}else{
    var obj = message;
}

try {
	//teste
	if(!obj.get("cdProd") || obj.get("cdProd") === null || obj.get("cdProd") === undefined || obj.get("cdProd") < 1){
	    throw {code: 599, message: 'Codigo de Produto nao informado'};
	}
	if(!obj.get("cdEmp") || obj.get("cdEmp") === null || obj.get("cdEmp") === undefined || obj.get("cdEmp") < 1){
	    throw {code: 599, message: 'Codigo de Empresa nao informado'};
	}
    var isCadastrado = importador.selectOne("listarEstProd", obj);
    println("isCadastrado  " + isCadastrado);
    if(!isCadastrado){
	    importador.insert("inserirEstProd",obj);
	    importador.commit();
	    msg = "Produto" + obj.get("cdProd") + " cadastrado com sucesso";
	    msg;
    }else{
        throw {code: 599, message: 'Produto ' + obj.get("cdProd") + ' ja cadastrado.'};
    }
}catch(err) {
    java.lang.System.out.println(err);
    importador.rollback();
	if(err.code){
	  throw JSON.stringify(err);
	}else{
	    println("else");
		throw err;
	}
}
